# std::bad_alloc Class Reference

Exception possibly thrown by `new.` More...

Inheritance diagram for std::bad_alloc:

[legend]
Collaboration diagram for std::bad_alloc:

[legend]
List of all members.

## Detailed Description

Exception possibly thrown by `new.`

`bad_alloc` (or classes derived from it) is used to report allocation errors from the throwing forms of `new.`

Definition at line 53 of file new.

The documentation for this class was generated from the following file:

- new